﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}

@section Scripts{
    <!-- Apex Charts js -->
    <script src="/assets/js/vendor/apexcharts.min.js"></script>
    <script src="/assets/js/pages/demo.dashboard.js"></script>
}

    @section Styles{

}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                            <li class="breadcrumb-item active">Projects</li>
                        </ol>
                    </div>
                    <h4 class="page-title">BÁO CÁO</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card widget-inline">
                    <div class="card-body p-0">
                        <div class="row g-0">
                            <div class="col-sm-6 col-lg-3">
                                <div class="card rounded-0 shadow-none m-0">
                                    <div class="card-body text-center">
                                        <i class="ri-briefcase-line text-muted font-24"></i>
                                        <h3><span>29</span></h3>
                                        <p class="text-muted font-15 mb-0">Tổng số khách hàng</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6 col-lg-3">
                                <div class="card rounded-0 shadow-none m-0 border-start border-light">
                                    <div class="card-body text-center">
                                        <i class="ri-list-check-2 text-muted font-24"></i>
                                        <h3><span>715</span></h3>
                                        <p class="text-muted font-15 mb-0">Tổng số container</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6 col-lg-3">
                                <div class="card rounded-0 shadow-none m-0 border-start border-light">
                                    <div class="card-body text-center">
                                        <i class="ri-group-line text-muted font-24"></i>
                                        <h3><span>31</span></h3>
                                        <p class="text-muted font-15 mb-0">Tổng số sản phẩm</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6 col-lg-3">
                                <div class="card rounded-0 shadow-none m-0 border-start border-light">
                                    <div class="card-body text-center">
                                        <i class="ri-line-chart-line text-muted font-24"></i>
                                        <h3><span>1.093$</span> <i class="mdi mdi-arrow-up text-success"></i></h3>
                                        <p class="text-muted font-15 mb-0">Tổng tiền đơn hàng</p>
                                    </div>
                                </div>
                            </div>

                        </div> <!-- end row -->
                    </div>
                </div> <!-- end card-box-->
            </div> <!-- end col-->
        </div>
        <!-- end row-->


        <div class="row"> <div class="col-lg-4">
                <div class="card">
                    <div class="d-flex card-header justify-content-between align-items-center">
                        <h4 class="header-title">Total Invoice</h4>
                        <div class="dropdown">
                            <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="mdi mdi-dots-vertical"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Sales Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Export Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Profit</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Action</a>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-0">
                        <div id="average-sales" class="apex-charts mb-4 mt-2"
                         data-colors="#727cf5,#0acf97,#fa5c7c"></div>

                        <div class="chart-widget-list">
                            <p>
                                <i class="mdi mdi-square text-primary"></i> Mới
                                @*<span class="float-end">$300.56</span>*@
                            </p>
                            <p>
                                <i class="mdi mdi-square text-danger"></i> Đang xử lý
                                @*<span class="float-end">$135.18</span>*@
                            </p>
                            <p>
                                <i class="mdi mdi-square text-success"></i> Hoàn thành
                                @*<span class="float-end">$48.96</span>*@
                            </p>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col-->
            <div class="col-lg-8">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h4 class="header-title">Master - Kế hoạch - Invoice</h4>
                        <div class="dropdown">
                            <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="mdi mdi-dots-vertical"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Weekly Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Monthly Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Action</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Settings</a>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-2">
                        <div class="table-responsive">
                            <table class="table table-centered table-nowrap table-hover mb-0">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>Mới</th>
                                        <th>Đang xử lý</th>
                                        <th>Hoàn thành</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <h5 class="font-14 my-1"><a href="javascript:void(0);" class="text-body">Đơn hàng master</a></h5>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">10</span> <br>
                                            <span class="badge badge-primary-lighten">Mới</span>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">20</span> <br>
                                            <span class="badge badge-warning-lighten">In-progress</span>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">50</span> <br>
                                            <span class="badge badge-success-lighten">Completed</span>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>
                                            <h5 class="font-14 my-1"><a href="javascript:void(0);" class="text-body">Kế hoạch lên đơn hàng</a></h5>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">10</span> <br>
                                            <span class="badge badge-primary-lighten">Mới</span>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">20</span> <br>
                                            <span class="badge badge-warning-lighten">In-progress</span>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">50</span> <br>
                                            <span class="badge badge-success-lighten">Completed</span>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>
                                            <h5 class="font-14 my-1"><a href="javascript:void(0);" class="text-body">Invoice</a></h5>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">10</span> <br>
                                            <span class="badge badge-primary-lighten">Mới</span>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">20</span> <br>
                                            <span class="badge badge-warning-lighten">In-progress</span>
                                        </td>
                                        <td>
                                            <span class="text-muted font-13">50</span> <br>
                                            <span class="badge badge-success-lighten">Completed</span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div> <!-- end table-responsive-->

                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
           
            
        </div>
        <!-- end row-->
    </div>